%global packname  IRanges
%global Rvers     3.0.0
%global bootstrap 0

Name:             R-%{packname}
Version:          1.18.2
Release:          1%{dist}
Summary:          Low-level containers for storing sets of integer ranges
Group:            Applications/Engineering 
License:          Artistic 2.0 and Copyright only
# See https://www.redhat.com/archives/fedora-r-devel-list/2009-April/msg00001.html
URL:              http://bioconductor.org/packages/release/bioc/html/IRanges.html
Source0:          http://bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:         R-core >= %{Rvers} R-methods R-stats R-RUnit R-Matrix R-BiocGenerics
# We can't require R-GenomicRanges until it has been built (it deps on R-IRanges)
%if %{bootstrap} < 1
Requires:         R-GenomicRanges
%endif
BuildRequires:    R-devel >= %{Rvers} tex(latex)
BuildRequires:    R-methods R-stats R-RUnit R-Matrix R-BiocGenerics 
# R-GenomicRanges is only needed for check, but it makes a dep loop
%if %{bootstrap} < 1
BuildRequires:    R-GenomicRanges
BuildRequires:    R-BSgenome.Celegans.UCSC.ce2
%endif

%description
The IRanges class and its extensions are low-level containers
for storing sets of integer ranges. A typical use of these containers
in biology is for representing a set of chromosome regions.
More specific extensions of the IRanges class will typically
allow the storage of additional information attached to each
chromosome region as well as a hierarchical relationship between
these regions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}


# x86/x86_64 -> Architecture dependent package
mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
%if %{bootstrap} < 1
%{_bindir}/R CMD check %{packname}
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}/
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/extdata
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/unitTests

%files devel
%defattr(-,root,root,-)
%{_libdir}/R/library/%{packname}/include

%changelog
* Tue Jul 16 2013 pingou <pingou@pingoured.fr> 1.18.2-1
- Update to version 1.18.2

* Mon Apr 15 2013 Tom Callaway <spot@fedoraproject.org> - 1.18.0-2
- disable bootstrap

* Sun Apr 07 2013 pingou <pingou@pingoured.fr> 1.18.0-1
- Update to version 1.18.0

* Thu Feb 28 2013 pingou <pingou@pingoured.fr> 1.16.6-1
- Update to version 1.16.6

* Wed Feb 13 2013 pingou <pingou@pingoured.fr> 1.16.5-1
- Update to version 1.16.5

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 pingou <pingou@pingoured.fr> 1.16.4-1
- Update to version 1.16.4
- + BR: R-GenomicRanges

* Mon Jul 23 2012 pingou <pingou@pingoured.fr> 1.14.4-2
- + BR: R-BiocGenerics

* Mon Jul 23 2012 pingou <pingou@pingoured.fr> 1.14.4-1
- Update to version 1.14.4

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov  9 2011 Tom Callaway <spot@fedoraproject.org> 1.12.1-1
- update to 1.12.1

* Wed Jun 22 2011 pingou <pingou@pingoured.fr> 1.10.4-1
- Update to version 1.10.4

* Tue Mar 15 2011 pingou <pingou@pingoured.fr> 1.8.9-1
- Update to version 1.8.9

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 pingou <pingou@pingoured.fr> 1.8.8-1
- Update to version 1.8.8

* Mon Dec 13 2010 pingou <pingou@pingoured.fr> 1.8.7-1
- Update to version 1.8.7

* Thu Nov 25 2010 pingou <pingou@pingoured.fr> 1.8.3-1
- Update to version 1.8.3

* Sun Nov 07 2010 pingou <pingou@pingoured.fr> 1.8.2-1
- Update to version 1.8.2
- Change requires from R to R-core

* Thu Oct 14 2010 pingou <pingou@pingoured.fr> 1.6.17-1
- Update to version 1.6.17

* Tue Sep 07 2010 pingou <pingou@pingoured.fr> 1.6.16-1
- Update to version 1.6.16

* Mon Jul 05 2010 pingou <pingou@pingoured.fr> 1.6.8-2
- Remove Require post and postun
- Change the URL and source0 to a more stable form
- Fix BR to tex(latex)

* Tue Jun 29 2010 pingou <pingou@pingoured.fr> 1.6.8-1
- Update to version 1.6.8

* Sat Jun 05 2010 pingou <pingou@pingoured.fr> 1.6.5-1
- Update to version 1.6.5

* Tue May 11 2010 pingou <pingou@pingoured.fr> 1.6.1-1
- Update to version 1.6.1

* Sat Mar 27 2010 pingou <pingou@pingoured.fr> 1.4.16-1
- Update to 1.4.16

* Thu Feb 11 2010 pingou <pingou@pingoured.fr> 1.4.11-1
- Update to 1.4.11

* Mon Feb 01 2010 pingou <pingou@pingoured.fr> 1.4.10-1
- Update to 1.4.10

* Thu Dec 17 2009 pingou <pingou@pingoured.fr> 1.4.9-1
- Update to 1.4.9

* Sat Nov 21 2009 pingou <pingou@pingoured.fr> 1.4.7-1
- Update to 1.4.7
- Remove %%post and %%postun
- Adapt %%files to R-2.10.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 12 2009 pingou <pingou@pingoured.fr> 1.2.3-1
- Update to 1.2.3

* Wed Apr 29 2009 pingou <pingou@pingoured.fr> 1.2.0-2
- Update the file section to package doc
- Update the Requires and BR to take into account R version

* Tue Apr 28 2009 pingou <pingou@pingoured.fr> 1.2.0-1
- Update to Bioconductor 2.4 and R-2.9.0

* Wed Apr 01 2009 pingou <pingou@pingoured.fr> 1.1.55-1
- New release from bioconductor 2.4 which includes the change in
 the description file for the license used
- Update the license to its correct format

* Sun Mar 22 2009 pingou <pingou -AT- pingoured.fr> 1.0.14-3
- The main package owns the directory
- Remove pkgconfig as R for the devel package
- Define becomes global

* Sat Mar 21 2009 pingou <pingou -AT- pingoured.fr> 1.0.14-2
- Add R-Matrix as R and BR

* Fri Mar 13 2009 pingou <pingou -AT- pingoured.fr> 1.0.14-1
- Update to 1.0.14

* Wed Feb 18 2009 pingou <pingou -AT- pingoured.fr> 1.0.11-1
- initial package for Fedora
